using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Controls;
using GrapeCity.ActiveReports.SectionReportModel;
using GrapeCity.ActiveReports.Document.Section;
using GrapeCity.ActiveReports.Document;

namespace NestedIList
{
    /// <summary>
    /// Summary description for NewActiveReport1.
    /// </summary>
    public partial class rptTeam : GrapeCity.ActiveReports.SectionReport
    {
        int counter;
        public rptTeam()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }

        //Create the sub report object
        rptPlayer report = new rptPlayer();

        private void NewActiveReport1_ReportStart(object sender, EventArgs e)
        {
            this.DataSource = GetData();
            //To show the team name on the main report
            textBox1.DataField = "name";
            counter = 0;
        }

        int count;
        private void rptTeam_FetchData(object sender, FetchEventArgs eArgs)
        {
            count++;
        }

        private void detail_Format(object sender, EventArgs e)
        {
            this.picture1.SizeMode = SizeModes.Stretch;
            if (count == 1)
            {
                this.picture1.Image = System.Drawing.Image.FromFile(@"..\..\Flags\USA.jpg");
            }
            else if (count == 2)
            {
                this.picture1.Image = System.Drawing.Image.FromFile(@"..\..\Flags\UK.jpg");
            }
            else if (count == 3)
            {
                this.picture1.Image = System.Drawing.Image.FromFile(@"..\..\Flags\India.jpg");
            }
            else if (count == 4)
            {
                this.picture1.Image = System.Drawing.Image.FromFile(@"..\..\Flags\Australia.jpg");
            }

            //Assign the datasource to the subreport
            report.DataSource = GetData()[counter].players;
            report.DataMember = "pName";
            subReport1.Report = report;
            counter++;
        }

        #region GenerateData
        public IList<Team> GetData()
        {
            List<Player> listOfPlayer1 = new List<Player>()      
              {
                  new Player{pName="Jon"},
                  new Player{pName="Rosh"},
                  new Player{pName="Tim"},
              };

            List<Player> listOfPlayer2 = new List<Player>()
              {
                  new Player{pName="Thomas"},
                  new Player{pName="Jack"},
                  new Player{pName ="Paul"}
              };

            List<Player> listOfPlayer3 = new List<Player>()
            {
                new Player{pName="Gatim"},
                new Player{pName="Aashish"},
                new Player{pName="Subodh"}
            };

            List<Player> listOfPlayer4 = new List<Player>()
            {
                new Player{pName="Josh"},
                new Player{pName="Albert"},
                new Player{pName="Charles"}
            };

            //Add the teams and their corresponding players
            List<Team> listOfTeam = new List<Team>()
              {
                  new Team{name="U.S.A", players=listOfPlayer1},
                  new Team {name="U.K", players=listOfPlayer2},
                  new Team{name ="India",players=listOfPlayer3},
                  new Team{name="Australia", players=listOfPlayer4}
              };

            return listOfTeam;
        }

        #endregion 
    }
}
